MVN

com.day.cq.dam : cq-dam-api

Maven & Gradle

Nov 12, 2020
51 usages

Day Communique 5 DAM API · Bundle providing the DAM API

<dependency>
    <groupId>com.day.cq.dam</groupId>
    <artifactId>cq-dam-api</artifactId>
    <version>5.5.16</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of com.day.cq.dam : cq-dam-api to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 5.5.16

All Versions

Choose a version of com.day.cq.dam : cq-dam-api to add to Maven or Gradle - All Versions:

  • Version Updated
  • cq-dam-api-5.5.16

    Nov 12, 2020
  • cq-dam-api-5.8.14

    Nov 12, 2020
  • cq-dam-api-5.5.0

    Nov 12, 2020
  • cq-dam-api-5.3.2

    Nov 12, 2020
  • cq-dam-api-5.6.4

    Nov 12, 2020
  • cq-dam-api-5.6.2

    Nov 12, 2020
  • cq-dam-api-5.5.12

    Nov 12, 2020
  • cq-dam-api-5.4.0

    Nov 12, 2020
  • cq-dam-api-5.2.10

    Nov 12, 2020
  • cq-dam-api-5.7.32

    Nov 12, 2020
  • cq-dam-api-5.3.0

    Nov 12, 2020
  • cq-dam-api-5.7.82

    Oct 29, 2020
  • cq-dam-api-5.6.6

    Oct 29, 2020
  • cq-dam-api-5.5.26

    Oct 29, 2020
  • cq-dam-api-5.4.2

    Oct 29, 2020
  • cq-dam-api-5.2.12

    Oct 29, 2020

How to add a dependency to Maven

Add the following com.day.cq.dam : cq-dam-api maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>com.day.cq.dam</groupId>
    <artifactId>cq-dam-api</artifactId>
    <version>5.5.16</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following com.day.cq.dam : cq-dam-api gradle dependency to your build.gradle file:

implementation 'com.day.cq.dam:cq-dam-api:5.5.16'

Gradle Kotlin DSL: Add the following com.day.cq.dam : cq-dam-api gradle kotlin dependency to your build.gradle.kts file:

implementation("com.day.cq.dam:cq-dam-api:5.5.16")

How to add a dependency to SBT Scala

SBT Scala: Add the following com.day.cq.dam : cq-dam-api sbt scala dependency to your build.sbt file:

libraryDependencies += "com.day.cq.dam" % "cq-dam-api" % "5.5.16"